NueForm

User API

authenticated उपयोगकर्ता की प्रोफ़ाइल और अकाउंट जानकारी प्राप्त करें।

User API authenticated उपयोगकर्ता की प्रोफ़ाइल और अकाउंट विवरण तक पहुंच प्रदान करता है।

सभी response bodies snake_case फ़ील्ड नामों का उपयोग करते हैं।

प्रोफ़ाइल प्राप्त करें

GET/api/v1/user

वर्तमान authenticated उपयोगकर्ता की प्रोफ़ाइल और अकाउंट जानकारी लौटाता है।

Response Fields

idstring

यूनिक user ID

emailstring

उपयोगकर्ता का ईमेल पता

first_namestring or null

उपयोगकर्ता का पहला नाम

last_namestring or null

उपयोगकर्ता का अंतिम नाम

language_preferencestring

पसंदीदा भाषा कोड (डिफ़ॉल्ट: "en")

created_atstring

ISO 8601 अकाउंट निर्माण टाइमस्टैम्प

updated_atstring

ISO 8601 अंतिम अपडेट टाइमस्टैम्प

plan_tierstring

वर्तमान प्लान: "entrepreneur", "pro", या "business"

subscription_statusstring or null

Stripe subscription स्थिति (जैसे, "active", "past_due", "canceled")

current_period_endstring or null

वर्तमान बिलिंग अवधि की ISO 8601 समाप्ति तिथि

storage_used_bytesinteger

बाइट्स में कुल फ़ाइल स्टोरेज उपयोग

subdomainstring or null

कस्टम subdomain (जैसे, acme.nueform.io के लिए "acme")। Pro प्लान और उससे ऊपर।

custom_domainstring or null

कस्टम domain (जैसे, "forms.acme.com")। Pro प्लान और उससे ऊपर।

custom_domain_verified_atstring or null

ISO 8601 टाइमस्टैम्प जब कस्टम domain verify किया गया था। लंबित होने पर null

Response

json
{
  "id": "665a0a1b2c3d4e5f6a7b8c9d",
  "email": "alice@example.com",
  "first_name": "Alice",
  "last_name": "Johnson",
  "language_preference": "en",
  "created_at": "2025-11-01T10:00:00.000Z",
  "updated_at": "2026-02-28T08:15:00.000Z",
  "plan_tier": "pro",
  "subscription_status": "active",
  "current_period_end": "2026-03-15T00:00:00.000Z",
  "storage_used_bytes": 52428800,
  "subdomain": "acme",
  "custom_domain": "forms.acme.com",
  "custom_domain_verified_at": "2026-01-20T14:30:00.000Z"
}

कोड उदाहरण

bash
curl -X GET "https://api.nueform.io/api/v1/user" \
  -H "Authorization: Bearer YOUR_API_KEY"

Error Responses

इस endpoint द्वारा लौटाए गए मानक error responses।

Error Codes

401Unauthorized

API key गायब या अमान्य है

404Not Found

उपयोगकर्ता नहीं मिला

500Server Error

Internal server error

Error उदाहरण

json
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid or missing API key",
    "status": 401
  }
}
अंतिम अपडेट: 6 अप्रैल 2026